# My ML Library

A lightweight machine learning library inspired by scikit-learn.

## Installation
```bash
pip install algonix


## 🤖 Algonix — A Custom Machine Learning Library

Welcome to **Algonix**, a lightweight, beginner-friendly machine learning library built from scratch using Python and NumPy. Designed for learning and experimentation, this library provides transparent implementations of core ML algorithms without relying on external ML frameworks.

📍 **GitHub Repository**: [https://github.com/bhushanzade02/MACHINE-LEARNING](https://github.com/bhushanzade02/MACHINE-LEARNING)

---

## 📦 Features

- **Supervised Learning**
  - Simple Linear Regression
  - Multiple Linear Regression
  - Logistic Regression
  - Ridge Regression
  - Lasso Regression
  - Decision Tree Regressor
  - K-Nearest Neighbors (KNN) Classifier

- **Unsupervised Learning**
  - KMeans Clustering (with Elbow Method)

- **Ensemble Learning**
  - Gradient Boosting Regressor
  - Gradient Boosting Classifier

- **Optimization Algorithms**
  - Batch Gradient Descent
  - Stochastic Gradient Descent

- **Evaluation Metrics**
  - Mean Squared Error (MSE)
  - Mean Absolute Error (MAE)
  - Root Mean Squared Error (RMSE)
  - R² Score
  - Adjusted R² Score

---

## 🛠 Installation

### 🔧 Local Installation (Development Mode)

1. Clone the repository:

```bash
git clone https://github.com/bhushanzade02/MACHINE-LEARNING.git
cd MACHINE-LEARNING
